aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sign-sync-binpackages.sh')
-rwxr-xr-xsign-sync-binpackages.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/sign-sync-binpackages.sh b/sign-sync-binpackages.sh
index a71f8ba..7db6611 100755
--- a/sign-sync-binpackages.sh
+++ b/sign-sync-binpackages.sh
@@ -47,7 +47,10 @@ export BINPKG_GPG_VERIFY_GPG_HOME=${BINPKG_GPG_SIGNING_GPG_HOME}
[[ $(whoami) == "gmirror" ]] || exit 111
# we make sure we're not running twice in parallel
-[[ -f ${STAGINGTREE}/.running ]] && exit 112
+if [[ -f ${STAGINGTREE}/.running ]] ; then
+ echo sign-sync-binpackages.sh lockfile ${STAGINGTREE}/.running exists, aborting
+ exit 112
+fi
touch ${STAGINGTREE}/.running || exit 110
# make sure we have an updated gpg-agent